modules

# Class: samba3domain

Source Location: /lib/account.inc

### Class Overview

Represents a Samba 3 domain entry

### Variables

- $dn
- $maxPwdAge
- $minPwdAge
- $name
- $nextGroupRID
- $nextRID
- $nextUserRID
- $RIDbase
- $SID

### Class Details

[line 345]
Represents a Samba 3 domain entry
[ Top ]

### Class Variables

#### $dn =

[line 348]

DN

#### Tags:

access: | public

Type: | mixed

[ Top ]

#### $maxPwdAge =

[line 372]

seconds after the password must be changed

#### Tags:

access: | public

Type: | mixed

[ Top ]

#### $minPwdAge =

[line 369]

seconds after the password can be changed

#### Tags:

access: | public

Type: | mixed

[ Top ]

#### $name =

[line 351]

Domain name

#### Tags:

access: | public

Type: | mixed

[ Top ]

#### $nextGroupRID =

[line 363]

Next group RID

#### Tags:

access: | public

Type: | mixed

[ Top ]

#### $nextRID =

[line 357]

Next RID

#### Tags:

access: | public

Type: | mixed

[ Top ]

#### $nextUserRID =

[line 360]

Next user RID

#### Tags:

access: | public

Type: | mixed

[ Top ]

#### $RIDbase = 1000

[line 366]

RID base to calculate RIDs, default 1000

#### Tags:

access: | public

Type: | mixed

[ Top ]

#### $SID =

[line 354]

Domain SID

#### Tags:

access: | public

Type: | mixed

[ Top ]

Documentation generated on Tue, 22 Nov 2011 16:29:26 +0100 by phpDocumentor 1.4.1